com.impinj.octane

## Enum TagModelName

- java.lang.Object
- - java.lang.Enum<TagModelName>
  - - com.impinj.octane.TagModelName

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TagModelName>

      public enum TagModelName
      extends java.lang.Enum<TagModelName>

  an enumeration to contain the tag model names. NOTE only Impinj tag models Monza 4 and newer are supported

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Monza4D`
    `Monza4E`
    `Monza4QT`
    `Monza4U`
    `Monza5`
    `Monza5U`
    `MonzaM730`
    `MonzaM750`
    `MonzaR6`
    `MonzaR6_A`
    `MonzaR6_P`
    `MonzaS6_C`
    `MonzaX_2K_Dura`
    `MonzaX_8K_Dura`
    `Other`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TagModelName` | `fromTID(java.lang.String tid)` Convert a TID string to a tag model name object
    `static TagModelName` | `valueOf(int modelTidAsInt)` The TID is the second word of the 2-word TID read from user memory as an 16-bit integer.
    `static TagModelName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TagModelName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Other

          public static final TagModelName Other

    - #### Monza4QT

          public static final TagModelName Monza4QT

    - #### Monza4U

          public static final TagModelName Monza4U

    - #### Monza4E

          public static final TagModelName Monza4E

    - #### Monza4D

          public static final TagModelName Monza4D

    - #### Monza5

          public static final TagModelName Monza5

    - #### Monza5U

          public static final TagModelName Monza5U

    - #### MonzaX_2K_Dura

          public static final TagModelName MonzaX_2K_Dura

    - #### MonzaX_8K_Dura

          public static final TagModelName MonzaX_8K_Dura

    - #### MonzaR6

          public static final TagModelName MonzaR6

    - #### MonzaR6_P

          public static final TagModelName MonzaR6_P

    - #### MonzaR6_A

          public static final TagModelName MonzaR6_A

    - #### MonzaS6_C

          public static final TagModelName MonzaS6_C

    - #### MonzaM730

          public static final TagModelName MonzaM730

    - #### MonzaM750

          public static final TagModelName MonzaM750

  - ### Method Detail

    - #### values

          public static TagModelName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TagModelName c : TagModelName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TagModelName valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static TagModelName valueOf(int modelTidAsInt)

      The TID is the second word of the 2-word TID read from user memory as an 16-bit integer.
      Parameters:
        `modelTidAsInt` - -- an integer value
      Returns:
        the enumeration object associated with this integer values

    - #### fromTID

          public static TagModelName fromTID(java.lang.String tid)

      Convert a TID string to a tag model name object
      Parameters:
        `tid` - -- the TID hex string. This should be an 8-character ascii string with 0-9a-fA-F and no spaces.
      Returns:
        the tagModelName of the Tag